Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365617 - Calculate MTU on every network fetch instead of on create
Summary: Calculate MTU on every network fetch instead of on create
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Ihar Hrachyshka
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1365153
TreeView+ depends on / blocked
 
Reported: 2016-08-09 17:23 UTC by Nir Yechiel
Modified: 2016-09-12 11:16 UTC (History)
8 users (show)

Fixed In Version: openstack-neutron-8.1.2-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 12:56:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1759 normal SHIPPED_LIVE openstack-neutron bug fix advisory 2016-08-24 16:50:04 UTC
Red Hat Bugzilla 1365153 None None None Never

Internal Links: 1365153

Description Nir Yechiel 2016-08-09 17:23:39 UTC
Description of problem:

Today, existing networks may not reflect MTU configured for neutron-server, if they were created when neutron-server was using different MTU setup for its infrastructure, or when it was using bad default values for network MTUs (specifically, before Mitaka, all networks were getting MTU = 0 by default, disabling both advertisement and data path MTU size enforcement). 

Expected results:

This fix stops persisting MTU in the database on network create and instead calculate it on every network resource fetch.

Comment 4 Toni Freger 2016-08-23 11:23:47 UTC
Code tested on the latest puddle openstack-neutron-8.1.2-3.el7ost

Comment 6 errata-xmlrpc 2016-08-24 12:56:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1759.html


Note You need to log in before you can comment on or make changes to this bug.